#import "ViewController.h"

@interface ViewController ()
{
    IGChartView *_chart;
    IGCategorySeriesDataSourceHelper *_dsh;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    _chart = [[IGChartView alloc]initWithFrame:CGRectInset(self.view.frame, 0, 50)];
    _dsh = [[IGCategorySeriesDataSourceHelper alloc]initWithValues:@[@3,@1,@4,@6]];
    _chart.delegate = self;
    
    IGLineSeries *series = (IGLineSeries*)[_chart addSeriesForType:[IGLineSeries class] usingKey:@"series" withDataSource:_dsh firstAxisKey:@"x" secondAxisKey:@"y"];
    
    series.isTransitionInEnabled = YES;
    series.transitionDuration = 3;
    series.transitionInMode = IGCategoryTransitionInModeSweepFromLeft;
    
    [self.view addSubview:_chart];
    
    UILabel *label = [[UILabel alloc]init];
    label.userInteractionEnabled = YES;
    label.numberOfLines = 0;
    label.text = @"refresh\nseries";
    [label sizeToFit];
    label.frame = CGRectOffset(label.bounds, 100, 0);
    label.backgroundColor = [UIColor yellowColor];
    [self.view addSubview:label];
    
    UITapGestureRecognizer *tap = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(tapLabel)];
    [label addGestureRecognizer:tap];
}

-(void)tapLabel
{
    NSMutableArray *values = [[NSMutableArray alloc]init];
    for (int i=0; i<5; i++)
    {
        [values addObject:[NSNumber numberWithInteger:arc4random()%10]];
    }
    
    _dsh = [[IGCategorySeriesDataSourceHelper alloc]initWithValues:values];
    
    IGLineSeries *series = (IGLineSeries*)[_chart findSeriesByKey:@"series"];
    [_chart removeSeries:series];
    
    series = (IGLineSeries*)[_chart addSeriesForType:[IGLineSeries class] usingKey:@"series" withDataSource:_dsh firstAxisKey:@"x" secondAxisKey:@"y"];
    series.isTransitionInEnabled = YES;
    series.transitionDuration = 3;
    series.transitionInMode = IGCategoryTransitionInModeSweepFromLeft;
}

@end
